package com.trade.service.enterprise.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.trade.common.core.domain.BaseEntity;

/**
 * 企业信息变更记录表实体类
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public class EnterpriseChangeRecord extends BaseEntity<EnterpriseChangeRecord> {

    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 企业id
     */
    private Long enterpriseId;
    /**
     * 企业类型，枚举：enterprise_type
     */
    private String enterpriseType;
    /**
     * 注册国家/地区，枚举：country_code
     */
    private String countryCode;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 统一社会信用编码
     */
    private String certNo;
    /**
     * 注册号，HK企业必填
     */
    private String registrationNumber;
    /**
     * 海关企业代码
     */
    private String customsEnterpriseCode;
    /**
     * 纳税人识别号
     */
    private String taxNo;
    /**
     * 小图企业uuid
     */
    private String xtEid;
    /**
     * 成立时间
     */
    private Date establishDate;
    /**
     * 注册资本
     */
    private BigDecimal registerCapital;
    /**
     * 注册地址
     */
    private String registerAddress;
    /**
     * 注册地址是否实际经营地址，枚举：sys_yes_no
     */
    private String sameRegisterAndBusinessAddress;
    /**
     * 经营地址
     */
    private String businessAddress;
    /**
     * 企业所处认证状态
     */
    private String certificationStatus;
    /**
     * 出口类型，枚举：export_type
     */
    private String exportType;
    /**
     * 代理公司所属地区，枚举类型district_code
     */
    private String proxyDistrictCode;
    /**
     * 授权委托书id
     */
    private Long authorizationFile;
    /**
     * 匹配业务产品，枚举：business_product
     */
    private String businessProduct;
    /**
     * 备注信息
     */
    private String remark;

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getCustomsEnterpriseCode() {
        return customsEnterpriseCode;
    }

    public void setCustomsEnterpriseCode(String customsEnterpriseCode) {
        this.customsEnterpriseCode = customsEnterpriseCode;
    }

    public String getTaxNo() {
        return taxNo;
    }

    public void setTaxNo(String taxNo) {
        this.taxNo = taxNo;
    }

    public String getXtEid() {
        return xtEid;
    }

    public void setXtEid(String xtEid) {
        this.xtEid = xtEid;
    }

    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    public Date getEstablishDate() {
        return establishDate;
    }

    public void setEstablishDate(Date establishDate) {
        this.establishDate = establishDate;
    }

    public BigDecimal getRegisterCapital() {
        return registerCapital;
    }

    public void setRegisterCapital(BigDecimal registerCapital) {
        this.registerCapital = registerCapital;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getSameRegisterAndBusinessAddress() {
        return sameRegisterAndBusinessAddress;
    }

    public void setSameRegisterAndBusinessAddress(String sameRegisterAndBusinessAddress) {
        this.sameRegisterAndBusinessAddress = sameRegisterAndBusinessAddress;
    }

    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }

    public String getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(String certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public String getExportType() {
        return exportType;
    }

    public void setExportType(String exportType) {
        this.exportType = exportType;
    }

    public String getProxyDistrictCode() {
        return proxyDistrictCode;
    }

    public void setProxyDistrictCode(String proxyDistrictCode) {
        this.proxyDistrictCode = proxyDistrictCode;
    }

    public Long getAuthorizationFile() {
        return authorizationFile;
    }

    public void setAuthorizationFile(Long authorizationFile) {
        this.authorizationFile = authorizationFile;
    }

    public String getBusinessProduct() {
        return businessProduct;
    }

    public void setBusinessProduct(String businessProduct) {
        this.businessProduct = businessProduct;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
